Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.schema
Interface SchemaParser

All Superinterfaces:
  MetaDataParser

All Known Implementing Classes:
  XMLSchemaParser

    public interface SchemaParser

extends MetaDataParser

Interface class for parers that read schema information. Parsers will place all parsed schemas into the current `SchemaGroup`, set via the `setSchemaGroup(org.apache.openjpa.jdbc.schema.SchemaGroup)` method. This allows parsing of multiple files into a single schema group.

Author:
  Abe White

Method Summary
`boolean` | `getDelayConstraintResolve()` Delay resolution of foreign key constraints until `resolveConstraints()` is called.
`SchemaGroup` | `getSchemaGroup()` Return the current schema group.
`void` | `resolveConstraints()` If this parser is in delayed resolve mode, resolve all constraints.
`void` | `setDelayConstraintResolve(boolean delay)` Delay resolution of foreign key constraints until `resolveConstraints()` is called.
`void` | `setSchemaGroup(SchemaGroup group)` Set the current schema group; this clears all state from the last group.

Methods inherited from interface org.apache.openjpa.lib.meta.MetaDataParser
`clear, getResults, parse, parse, parse, parse, parse, parse, setClassLoader`

Method Detail

### getDelayConstraintResolve

    boolean getDelayConstraintResolve()

  Delay resolution of foreign key constraints until `resolveConstraints()` is called. This allows you to parse multiple resources where a foreign key in one resource might refer to a table in another.

### setDelayConstraintResolve

    void setDelayConstraintResolve(boolean delay)

  Delay resolution of foreign key constraints until `resolveConstraints()` is called. This allows you to parse multiple resources where a foreign key in one resource might refer to a table in another.

### getSchemaGroup

    SchemaGroup getSchemaGroup()

  Return the current schema group.

### setSchemaGroup

    void setSchemaGroup(SchemaGroup group)

  Set the current schema group; this clears all state from the last group.

### resolveConstraints

    void resolveConstraints()

  If this parser is in delayed resolve mode, resolve all constraints.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.